cmdargs

System.Console.CmdArgs.Explicit.Help

Synopsis

- data HelpFormat
  - = HelpFormatDefault
  - | HelpFormatOne
  - | HelpFormatAll
- helpText :: HelpFormat -> Mode a -> [Text]

# Documentation

data HelpFormat

Specify the format to output the help.

Constructors

HelpFormatDefault | Equivalent to `HelpFormatAll` if there is not too much text, otherwise `HelpFormatOne`.
HelpFormatOne | Display only the first mode.
HelpFormatAll | Display all modes.

Instances

Bounded HelpFormat |
Enum HelpFormat |
Eq HelpFormat |
Ord HelpFormat |
Read HelpFormat |
Show HelpFormat |
Default HelpFormat |

helpText :: HelpFormat -> Mode a -> [Text]

Generate a help message from a mode.